Bug 44321 - devel/automake14 - packaging failure
devel/automake14 - packaging failure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: alane
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 00:40 UTC by parv_fm
Modified: 2002-10-21 03:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parv_fm 2002-10-21 00:40:00 UTC
automake14 packaging fails...

Making install in tests
===>   Generating temporary packing list
# temporary
/bin/ln -s . /usr2/local/share/automake14/automake
ln: /usr2/local/share/automake14/automake/.: File exists
*** Error code 1

How-To-Repeat: 
upgrade ports tree to get automake14 as of 2002.10.19.16.34.02; then
try to make package.
Comment 1 alane 2002-10-21 01:13:56 UTC
On Sun, Oct 20, 2002 at 07:36:34PM -0400, parv wrote:
>
>>Number:         44321
>>Category:       ports
>>Synopsis:       devel/automake14 - packaging failure
[....]
>Making install in tests
>===>   Generating temporary packing list
># temporary
>/bin/ln -s . /usr2/local/share/automake14/automake
>ln: /usr2/local/share/automake14/automake/.: File exists
>*** Error code 1

Your install dir is nonstandard, and and I don't have a clue
about what's going on. 

You'll have to supply more detail (*lots* more) or I will close
the PR with no resolution.
-- 
Alan Eldridge
Unix/C(++) IT Pro, 20 yrs, seeking new employment.
(http://wwweasel.geeksrus.net/~alane/resume.txt)
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)
Comment 2 alane freebsd_committer 2002-10-21 02:40:29 UTC
State Changed
From-To: open->closed

I totally redid the installation procedure. If this does not fix problem, 
please open new PR. 


Comment 3 alane freebsd_committer 2002-10-21 02:40:29 UTC
Responsible Changed
From-To: freebsd-ports->alane

I'm the maintainer.
Comment 4 root 2002-10-21 03:00:01 UTC
I rewrote the whole pre=/post-install. Let's see if that makes a
difference. If not, please submit a new PR, and include a lot more
info, like why it's installing to /usr2/local.

Thanks. Hope my patch does you good. If not, we'll work on it.
-- 
Alan Eldridge
Unix/C(++) IT Pro, 20 yrs, seeking new employment.
(http://wwweasel.geeksrus.net/~alane/resume.txt)
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)